import path from 'path'
import Papa from 'papaparse'

const config = {
    namespaced: true,
    state() {
        return {
            //userDir: '~/.config/sousmargot/',
            userDir: './userDir/',
            dataFile: 'datas.csv'
        }
    },
    getters: {
        userDir (state) { return state.userDir },
        dataFilePath (state) { return path.join(state.userDir, state.dataFile) },
    },
    mutations: {
    },
    actions: {
        loadConfig (context) {
            // load config file at  ~/.config/sousmargot/config.json
            return context.state.userDir
        },
        loadData (context) {
            // load data in userDir on dataFile
            console.log("Loading data")
            console.log(context.getters.dataFilePath)
        },
        writeData (context) {
            // overwrite the dataFile with months datas
            console.log("Writing data")
            console.log(context.getters.dataFilePath)
            const months = context.rootGetters['travail/monthsAll']
            console.log(Object.keys(months).map(k => {return { ...months[k], date: k}}))
            const csv = Papa.unparse(context.rootGetters['travail/monthsAll'])
            console.log(csv)
        },
    },
}

export default config

